require 'pathname'
require Pathname.new(__FILE__).parent + 'wiimote.rb'

# enable motion sensors
wiimote = Wiimote.new
wiimote.disable_motion_sensor

# puts usage
puts "usage"
puts "-" * 70
puts "  1 Player's LED - UP"
puts "  2 Player's LED - DOWN"
puts "  3 Player's LED - LEFT"
puts "  4 Player's LED - RIGHT"

loop do
	# read data from a wiimote
	wiimote.update
	
	# change LED state
	wiimote.change_led_state( wiimote.up, wiimote.down, wiimote.left, wiimote.right )
	
	# wait input
	sleep 0.1
end
