require 'pathname'
require Pathname.new(__FILE__).parent + 'wiimote.rb'

# enable motion sensors
wiimote = Wiimote.new
wiimote.disable_motion_sensor

# puts usage
puts "usage"
puts "-" * 70
puts "  Rumble ON  - A"
puts "  Rumble OFF - B"

loop do
	# read data from a wiimote
	wiimote.update
	
	# enable / disable Runble
	case
	when wiimote.a then wiimote.rumble( true  )
	when wiimote.b then wiimote.rumble( false )
	end
	
	# wait input
	sleep 0.1
end
